Retrieves the user_planning_slot with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_planning_slot
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

user_id

Foreign key to user.

globally unique identifier

Required

user_planning_slot_type_id

Foreign key to user planning slot type id.

globally unique identifier

Required

date_from

Date from,

date
date_to

Date to,

date
description

Description of user planning slot.

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating.

date

Response Formats

application/json, text/json

Sample:
{
  "id": "e74529d8-7fcd-4177-909e-cf79378fc597",
  "user_id": "df3ea789-dc4e-4781-97e0-d3d70142faeb",
  "user_planning_slot_type_id": "58de39a3-65cd-43a5-8ebf-230615d1eaf2",
  "date_from": "2026-11-09T23:25:56.1792284+00:00",
  "date_to": "2026-11-09T23:25:56.1792284+00:00",
  "description": "sample string 6",
  "modified_dateutc": "2026-11-09T23:25:56.1792284+00:00"
}